%define oname   TaskCoach

Name:           taskcoach
Version:        1.4.3
Release:        %mkrel 1
Summary:        Your friendly task manager
License:        GPLv3
Group:          Office/Management
Url:            http://www.taskcoach.org
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png

BuildArch:      noarch
BuildRequires:  imagemagick
BuildRequires:  python-devel
BuildRequires:  wxPython
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       python-twisted
Requires:       wxPython

%description
Task Coach is a simple open source todo manager to keep track of personal
tasks and todo lists. It grew out of a frustration that most task managers
do not provide facilities for composite tasks. Often, tasks and other
things todo consist of several activities. Task Coach is designed to deal
with composite tasks. In addition, it offers effort tracking, categories,
and notes.

%prep
%setup -q -n %{oname}-%{version}

%build
%py2_build

%install
%py2_install

mv %{buildroot}%{_bindir}/%{name}.py %{buildroot}%{_bindir}/%{name}

rm -rf %{buildroot}%{python_sitelib}/buildlib/

install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{python_sitelib}/%{oname}-*.egg-info
%{python_sitelib}/%{name}lib/


%changelog
* Sun Jan 29 2017 akien <akien> 1.4.3-1.mga6
+ Revision: 1084150
- Version 1.4.3

* Sat Feb 20 2016 umeabot <umeabot> 1.4.2-2.mga6
+ Revision: 971182
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 joequant <joequant> 1.4.2-1.mga6
+ Revision: 889468
- update to python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 741268
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-2.mga5
+ Revision: 730520
- rebuild for missing pythoneggs deps

* Thu Sep 25 2014 joequant <joequant> 1.4.1-1.mga5
+ Revision: 724624
- upgrade to 1.4.1

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 689725
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sun Aug 03 2014 joequant <joequant> 1.4.0-1.mga5
+ Revision: 659496
- update to 1.4

* Sun Aug 03 2014 joequant <joequant> 1.3.41-1.mga5
+ Revision: 659303
- upgrade to 1.3.41

* Sat Jun 14 2014 joequant <joequant> 1.3.40-1.mga5
+ Revision: 636045
+ rebuild (emptylog)

* Sat Jun 14 2014 joequant <joequant> 1.3.38-2.mga5
+ Revision: 636041
- upgrade to 1.3.40

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri May 02 2014 dams <dams> 1.3.38-1.mga5
+ Revision: 619700
- new version 1.3.38

* Tue Apr 01 2014 dams <dams> 1.3.37-2.mga5
+ Revision: 611134
- Add 'python-twisted' as a require

* Tue Apr 01 2014 dams <dams> 1.3.37-1.mga5
+ Revision: 611111
- new version 1.37.0

* Sun Mar 09 2014 joequant <joequant> 1.3.36.6433-1.mga5
+ Revision: 601572
- upstream incorporates mageia patches
- fix conversion to wxpython 3.0

* Sun Feb 16 2014 dams <dams> 1.3.36-1.mga5
+ Revision: 592715
- new version 1.3.36

* Tue Feb 04 2014 dams <dams> 1.3.35-1.mga5
+ Revision: 581103
- new version 1.3.35

* Tue Oct 22 2013 umeabot <umeabot> 1.3.33-3.mga4
+ Revision: 544685
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.33-2.mga4
+ Revision: 499902
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 13 2013 dams <dams> 1.3.33-1.mga4
+ Revision: 496273
- new version 1.3.33

* Tue Sep 03 2013 dams <dams> 1.3.32-1.mga4
+ Revision: 474817
- new version 1.3.32

* Tue Jul 30 2013 dams <dams> 1.3.31-1.mga4
+ Revision: 460796
- new version 1.3.31

* Mon Jul 08 2013 dams <dams> 1.3.30-1.mga4
+ Revision: 451374
- new version 1.3.30

* Sun May 26 2013 dams <dams> 1.3.29-1.mga4
+ Revision: 427797
- new version 1.3.29

* Wed Mar 27 2013 dams <dams> 1.3.28-1.mga3
+ Revision: 405754
- new version 1.3.28

* Mon Feb 18 2013 dams <dams> 1.3.24-1.mga3
+ Revision: 399091
- new version 1.3.24

* Fri Feb 08 2013 dams <dams> 1.3.23-1.mga3
+ Revision: 395590
- new version 1.3.23

* Mon Jan 14 2013 umeabot <umeabot> 1.3.22-2.mga3
+ Revision: 384126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 dams <dams> 1.3.22-1.mga3
+ Revision: 338049
- new version 1.3.22
- remove useless info in %%description

* Mon Oct 22 2012 dams <dams> 1.3.20-1.mga3
+ Revision: 309164
- new version 1.3.20

* Tue Oct 09 2012 dams <dams> 1.3.19-1.mga3
+ Revision: 303930
- new version 1.3.19
- update .desktop file

* Sat Sep 08 2012 dams <dams> 1.3.18-3.mga3
+ Revision: 289664
- new icon for a better rendering

* Wed Aug 29 2012 dams <dams> 1.3.18-1.mga3
+ Revision: 284997
- new version 1.3.18
- clean specfile

* Tue Jul 03 2012 dams <dams> 1.3.17-1.mga3
+ Revision: 266957
- new version 1.3.17
- clean specfile

* Mon Jun 18 2012 dams <dams> 1.3.16-1.mga3
+ Revision: 261738
- new version 1.3.16

* Mon May 28 2012 dams <dams> 1.3.15-1.mga3
+ Revision: 248318
- new version 1.3.15

* Thu Apr 19 2012 dams <dams> 1.3.13-1.mga2
+ Revision: 231797
- new version 1.3.13

* Tue Apr 10 2012 dams <dams> 1.3.12-1.mga2
+ Revision: 230105
- new version 1.3.12

* Fri Mar 09 2012 dams <dams> 1.3.9-1.mga2
+ Revision: 222061
- new version 1.3.9

* Mon Feb 27 2012 dams <dams> 1.3.8-1.mga2
+ Revision: 215650
- new version 1.3.8

* Tue Feb 07 2012 dams <dams> 1.3.7-1.mga2
+ Revision: 205662
- new version 1.3.7

* Tue Jan 24 2012 dams <dams> 1.3.6-1.mga2
+ Revision: 200649
- new version 1.3.6

* Tue Jan 24 2012 dams <dams> 1.3.5-1.mga2
+ Revision: 200488
- new version 1.3.5

* Tue Dec 27 2011 dams <dams> 1.3.4-1.mga2
+ Revision: 188145
- new version 1.3.4

* Tue Dec 20 2011 dams <dams> 1.3.3-1.mga2
+ Revision: 184838
- new version 1.3.3

* Thu Dec 08 2011 dams <dams> 1.3.2-1.mga2
+ Revision: 178931
- new version 1.3.2

* Tue Nov 29 2011 dams <dams> 1.3.1-1.mga2
+ Revision: 174091
- new version 1.3.1
- clean specfile

* Mon Nov 21 2011 dams <dams> 1.3.0-1.mga2
+ Revision: 170479
- new version 1.3.0

* Mon Nov 14 2011 dams <dams> 1.2.31-1.mga2
+ Revision: 167409
- new version 1.2.31

* Mon Oct 24 2011 fwang <fwang> 1.2.30-1.mga2
+ Revision: 157640
- new version 1.2.30

* Mon Oct 17 2011 obgr_seneca <obgr_seneca> 1.2.29-1.mga2
+ Revision: 155970
- new version 1.2.29

* Mon Sep 19 2011 dams <dams> 1.2.28-1.mga2
+ Revision: 145471
- update to 1.2.28

* Mon Aug 29 2011 dams <dams> 1.2.27-1.mga2
+ Revision: 136106
- Update to 1.2.27
- Update to 1.2.25
- Update to 1.2.24

* Fri Jul 08 2011 dams <dams> 1.2.23-1.mga2
+ Revision: 120701
- Update to 1.2.23

* Tue Jul 05 2011 dams <dams> 1.2.22-1.mga2
+ Revision: 118914
- Update to 1.2.22

* Tue Jun 14 2011 dams <dams> 1.2.20-1.mga2
+ Revision: 106109
+ rebuild (emptylog)

* Tue Jun 07 2011 obgr_seneca <obgr_seneca> 1.2.19-1.mga2
+ Revision: 101617
- new version 1.2.19

* Mon May 23 2011 dams <dams> 1.2.18-1.mga1
+ Revision: 100238
- Update to 1.2.18

* Mon May 16 2011 dams <dams> 1.2.17-1.mga1
+ Revision: 99205
- update to 1.2.17
- update to 1.2.16

* Wed Apr 20 2011 dams <dams> 1.2.14-1.mga1
+ Revision: 89045
- Update to 1.2.14

* Mon Apr 11 2011 dams <dams> 1.2.13-3.mga1
+ Revision: 83327
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-2.mga1
+ Revision: 83322
+ rebuild (emptylog)

* Mon Apr 11 2011 dams <dams> 1.2.13-1.mga1
+ Revision: 83233
- Update to 1.2.13
- Update to 1.2.13

* Fri Apr 01 2011 obgr_seneca <obgr_seneca> 1.2.12-2.mga1
+ Revision: 79659
- added forgotten icons

* Mon Mar 28 2011 obgr_seneca <obgr_seneca> 1.2.12-1.mga1
+ Revision: 78451
- imported package taskcoach

